Skip to main content
POST
/
registry
/
v1
/
mcp-servers
/
{mcpServerId}
/
subscriptions
Subscribe to a public MCP server
curl --request POST \
  --url https://api.swarmd.ai/registry/v1/mcp-servers/{mcpServerId}/subscriptions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "auth": {
    "bearerToken": "<string>",
    "apiKeyValue": "<string>",
    "apiKeyHeader": "<string>",
    "oauthClientId": "<string>",
    "oauthClientSecret": "<string>",
    "oauthTokenUrl": "<string>",
    "oauthScopes": [
      "<string>"
    ]
  }
}
'
{
  "mcpServerSubscriptionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "mcpServerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "mcpServerName": "<string>",
  "publisherTenantName": "<string>",
  "authDetails": {
    "header": "<string>"
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "expiresAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

JWT token (USER, AGENT, or SERVICE auth)

Path Parameters

mcpServerId
string<uuid>
required

Body

application/json
auth
object
required

Response

201 - */*

Created

mcpServerSubscriptionId
string<uuid>
mcpServerId
string<uuid>
mcpServerName
string
publisherTenantName
string
status
enum<string>
Available options:
ACTIVE,
INACTIVE
authDetails
object
createdAt
string<date-time>
updatedAt
string<date-time>
expiresAt
string<date-time>